Page MenuHomePhabricator

Add performance instrumentation to Parsoid
Closed, ResolvedPublic

Description

This is an Outreach-Program-For-Women-9 final project evaluation. Please update the description checking the boxes and providing the corresponding comments and links:

Event Timeline

Qgil created this task.Mar 10 2015, 9:59 AM
Qgil assigned this task to ssastry.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, ssastry, Memeht.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 9:59 AM
Qgil updated the task description. (Show Details)Mar 16 2015, 9:25 PM
Qgil set Security to None.
Memeht added a comment.EditedMar 16 2015, 9:56 PM

No, this task is about adding performance instrumentation to the Parsoid codebase. The project changed and its title needs updating. :)

Yeah, the naming here is confusing. :-) I filed T92912: Spruce up https://performance.wikimedia.org/.

Memeht renamed this task from Evaluate Improving the Wikimedia Performance portal to Add performance instrumentation to the Parsoid codebase..Mar 19 2015, 1:59 AM
Memeht renamed this task from Add performance instrumentation to the Parsoid codebase. to Add performance instrumentation to Parsoid .
Qgil added a comment.Mar 26 2015, 3:16 PM

The end of March is approaching quickly and we really need to wrap up Outreach-Program-For-Women-9 (which officially ended almost three weeks ago). Mentors and intern are equally responsible of completing this task. You will feel very food when you mark it as Closed Resolved!

Memeht updated the task description. (Show Details)Mar 27 2015, 10:16 PM
Memeht updated the task description. (Show Details)Mar 27 2015, 10:20 PM

I am happy with the updates that Christy has made here. @Qgil I will let you go over this and mark this resolved. Let me know if there is anything that is needed from me in that regard.

Qgil closed this task as Resolved.Apr 6 2015, 3:01 PM

Yes, this is all very good. Well, I think a blog post about dashboards would look better with screenshots of actual dashboards, but this is a detail in the context of this whole project. Thank you @Memeht for your work, and also for your patience in this internship that started with such a bumpy road. Good that @ssatry came to the rescue! Big thank you to Subbu as well.

Memeht added a comment.Apr 7 2015, 5:11 AM

I provided a direct link to the dashboards within the post, so I figured that would suffice.
Also, Thank you @Qgil & @Subbu once again for stepping in.